%global momorel 1

Summary: vsftpd - Very Secure Ftp Daemon
Name: vsftpd
Version: 1.2.1
Release: %{momorel}m
License: GPL
Group: System Environment/Daemons
URL: http://vsftpd.beasts.org/
%NoSource 0 ftp://vsftpd.beasts.org/users/cevans/%{name}-%{version}.tar.gz 3dd254f9c9c1aea370b2f1ff6212af6e
Source1: vsftpd.xinetd
Source2: vsftpd.pam
Source3: vsftpd.ftpusers
Source4: vsftpd.user_list
Source5: vsftpd.init
Patch1: vsftpd-1.1.3-rh.patch
Patch2: vsftpd-1.0.1-missingok.patch
Patch3: vsftpd-1.2.0-tcp_wrappers.patch
Patch4: vsftpd-1.2.1-libs.patch
Patch5: vsftpd-1.2.1-signal.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: tcp_wrappers
Prereq: chkconfig, shadow-utils, initscripts
Requires: logrotate
Obsoletes: anonftp
Provides: ftpserver

%description
vsftpd is a Very Secure FTP daemon. It was written completely from
scratch.

%prep
%setup -q -n %{name}-%{version}
%patch1 -p1 -b .rh
%patch2 -p1 -b .mok
%patch3 -p1 -b .tcp_wrappers
%patch4 -p1 -b .libs
%patch5 -p1 -b .signal
cp %{SOURCE1} .

%build
make CFLAGS="%{optflags} -pipe" \
	LINK="-pie" \
	%{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
mkdir -p %{buildroot}/usr/sbin
mkdir -p %{buildroot}/etc
mkdir -p %{buildroot}/etc/{vsftpd,pam.d,logrotate.d}
mkdir -p %{buildroot}/%{_initscriptdir}
mkdir -p %{buildroot}/%{_mandir}/man{5,8}
install -m 755 vsftpd  %{buildroot}/usr/sbin/vsftpd
install -m 600 vsftpd.conf %{buildroot}/etc/vsftpd/vsftpd.conf
install -m 644 vsftpd.conf.5 %{buildroot}/%{_mandir}/man5/
install -m 644 vsftpd.8 %{buildroot}/%{_mandir}/man8/
install -m 644 RedHat/vsftpd.log %{buildroot}/etc/logrotate.d/vsftpd.log
install -m 644 %{SOURCE2} %{buildroot}/etc/pam.d/vsftpd
install -m 600 %{SOURCE3} %{buildroot}/etc/vsftpd.ftpusers
install -m 600 %{SOURCE4} %{buildroot}/etc/vsftpd.user_list
install -m 755 %{SOURCE5} %{buildroot}/%{_initscriptdir}/vsftpd
                            
mkdir -p %{buildroot}/var/ftp/pub

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/chkconfig --add vsftpd
/usr/sbin/usermod -d /var/ftp ftp >/dev/null 2>&1 || :

%preun
if [ $1 = 0 ]; then
 /sbin/service vsftpd stop > /dev/null 2>&1
 /sbin/chkconfig --del vsftpd
fi
  

%files
%defattr(-,root,root)
/usr/sbin/vsftpd
%{_initscriptdir}/vsftpd
%config(noreplace) /etc/vsftpd.*
%dir /etc/vsftpd
%config(noreplace) /etc/vsftpd/*
%config(noreplace) /etc/pam.d/vsftpd
%config(noreplace) /etc/logrotate.d/vsftpd.log
%doc FAQ INSTALL BUGS AUDIT Changelog LICENSE README README.security REWARD SPEED TODO SECURITY/ TUNING SIZE vsftpd.xinetd
%{_mandir}/man5/vsftpd.conf.*
%{_mandir}/man8/vsftpd.*
/var/ftp

%changelog
* Thu Apr  8 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (1.2.1-1m)
- sync with Fedora
- use %%momorel and %%NoSource
- /etc/rc.d/init.d -> %%{_initscriptdir}
- s/$RPM_BUILD_ROOT/%{buildroot}/g
- add Prereq: chkconfig, shadow-utils, initscripts

* Fri Sep 26 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (1.2.0-2m)
- remove requires

* Wed Sep 24 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (1.2.0-1m)
- import from rawhide

* Mon Sep 15 2003 Bill Nottingham <notting@redhat.com> 1.2.0-4
- fix errant newline (#104443)

* Fri Aug  8 2003 Bill Nottingham <notting@redhat.com> 1.2.0-3
- tweak man page (#84584, #72798)
- buildprereqs for pie (#99336)
- free ride through the build system to fix (#101582)

* Thu Jun 26 2003 Bill Nottingham <notting@redhat.com> 1.2.0-2
- update to 1.2.0

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Apr 28 2003 Bill Nottingham <notting@redhat.com> 1.1.3-9
- fix tcp_wrappers usage (#89765, <dale@riyescott.com>)

* Fri Feb 28 2003 Nalin Dahyabhai <nalin@redhat.com> 1.1.3-8
- enable use of tcp_wrappers

* Tue Feb 11 2003 Bill Nottingham <notting@redhat.com> 1.1.3-7
- provide /var/ftp & /var/ftp/pub. obsolete anonftp.

* Mon Feb 10 2003 Bill Nottingham <notting@redhat.com> 1.1.3-6
- clean up comments in init script (#83962)

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Dec 30 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- change to /etc/rc.d/init.d for better compatibility

* Mon Dec 16 2002 Bill Nottingham <notting@redhat.com> 1.1.3-3
- fix initscript perms
- fix typo in initscript (#76587)

* Fri Dec 13 2002 Bill Nottingham <notting@redhat.com> 1.1.3-2
- update to 1.1.3
- run standalone, don't run by default
- fix reqs
 
* Fri Nov 22 2002 Joe Orton <jorton@redhat.com> 1.1.0-3
- fix use with xinetd-ipv6; add flags=IPv4 in xinetd file (#78410)

* Tue Nov 12 2002 Nalin Dahyabhai <nalin@redhat.com> 1.0.1-9
- remove absolute paths from PAM configuration so that the right modules get
  used for whichever arch we're built for on multilib systems

* Thu Aug 15 2002 Elliot Lee <sopwith@redhat.com> 1.0.1-8
- -D_FILE_OFFSET_BITS=64
- smp make
- remove forced optflags=-g for lack of supporting documentation
 
* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Apr 10 2002 Bill Nottingham <notting@redhat.com> 1.0.1-5
- don't spit out ugly errors if anonftp isn't installed (#62987)
- fix horribly broken userlist setup (#62321)

* Thu Feb 28 2002 Trond Eivind Glomsr?<teg@redhat.com> 1.0.1-4
- s/Copyright/License/
- add "missingok" to the logrotate script, so we don't get errors
  when nothing has happened

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Nov 28 2001 Bill Nottingham <notting@redhat.com>
- initial packaging for RHL, munge included specfile

* Thu Mar 22 2001 Seth Vidal <skvidal@phy.duke.edu>
- updated to 0.0.15
- added entry for vsftpd.8 man page
- added entry for vsftpd.log logrotate file
- added TUNING file to docs list

* Wed Mar 7 2001 Seth Vidal <skvidal@phy.duke.edu>
- Updated to 0.0.14
- made %files entry for man page

* Wed Feb 21 2001 Seth Vidal <skvidal@phy.duke.edu>
- Updated to 0.0.13

* Mon Feb 12 2001 Seth Vidal <skvidal@phy.duke.edu>
- Updated to 0.0.12

* Wed Feb 7 2001 Seth Vidal <skvidal@phy.duke.edu>
- updated to 0.0.11

* Fri Feb 1 2001 Seth Vidal <skvidal@phy.duke.edu>
- Update to 0.0.10

* Fri Feb 1 2001 Seth Vidal <skvidal@phy.duke.edu>
- First RPM packaging
- Stolen items from wu-ftpd's pam setup
- Separated rh 7 and rh 6.X's packages
- Built for Rh6
